@import "../../assets/scss/global";

.otp-form-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    row-gap: 40px;
    padding: 3rem 1.5rem;
    justify-content: center;

    @include largeScreen {
        width: 80%;
        justify-content: center;
    }

    @include wideScreen {
        width: 60%;
    }

    .top {
        svg {
            width: 72px;
            height: 20px;
            margin-bottom: 10px;

            @include largeScreen {
                width: initial;
                height: initial;
            }
        }

        h3 {
            font-weight: 700;
            font-size: 24px;
            line-height: 36px;
            white-space: pre-line;

            @include largeScreen {
                font-size: 32px;
                line-height: 60px;
            }
        }

        p{
            line-height: 24px;
        }
    }

    .form {
        display: flex;
        flex-direction: column;

        .group-otp-input {
            display: flex;
            width: 100%;
            justify-content: space-between;

            input {
                width: 50px;
                height: 50px;
                box-sizing: border-box;
                font-weight: 700;
                font-size: 24px;
                line-height: 36px;
                text-align: center;
                border: 1px solid #8E91A0;
                border-radius: 12px;
                outline: none;

                @include largeScreen{
                    width: 70px;
                    height: 70px;
                }

                &:focus {
                    border-color: $secondary-color !important;
                }

                &.has-no-value {
                    border-color: $border-color;
                }

                &.has-error {
                    border-color: #F54135;
                }
            }
        }
    }

    .bottom {
        p{
            font-weight: 500;

            span{
                color: $primary-color;
                font-weight: 600;
            }
        }

        button{
            color: $secondary-color;
            line-height: 24px;
        }
    }
}
